apiVersion: postgresql.cnpg.io/v1
kind: Cluster
metadata:
  namespace: juwan
  name: user-db
spec:
  instances: 1
  imageName: ghcr.io/cloudnative-pg/postgresql:18.3-system-trixie
  primaryUpdateStrategy: unsupervised
  bootstrap:
    initdb:
      database: app
      owner: app
  storage:
    size: 1Gi
  resources:
    requests:
      cpu: 30m
      memory: 50Mi
    limits:
      memory: 200Mi

---
apiVersion: postgresql.cnpg.io/v1
kind: Cluster
metadata:
  namespace: juwan
  name: player-db
spec:
  instances: 1
  imageName: ghcr.io/cloudnative-pg/postgresql:18.3-system-trixie
  primaryUpdateStrategy: unsupervised
  bootstrap:
    initdb:
      database: app
      owner: app
  storage:
    size: 1Gi
  resources:
    requests:
      cpu: 30m
      memory: 50Mi
    limits:
      memory: 200Mi

---
apiVersion: postgresql.cnpg.io/v1
kind: Cluster
metadata:
  namespace: juwan
  name: game-db
spec:
  instances: 1
  imageName: ghcr.io/cloudnative-pg/postgresql:18.3-system-trixie
  primaryUpdateStrategy: unsupervised
  bootstrap:
    initdb:
      database: app
      owner: app
  storage:
    size: 1Gi
  resources:
    requests:
      cpu: 30m
      memory: 50Mi
    limits:
      memory: 200Mi

---
apiVersion: postgresql.cnpg.io/v1
kind: Cluster
metadata:
  namespace: juwan
  name: shop-db
spec:
  instances: 1
  imageName: ghcr.io/cloudnative-pg/postgresql:18.3-system-trixie
  primaryUpdateStrategy: unsupervised
  bootstrap:
    initdb:
      database: app
      owner: app
  storage:
    size: 1Gi
  resources:
    requests:
      cpu: 30m
      memory: 50Mi
    limits:
      memory: 200Mi

---
apiVersion: postgresql.cnpg.io/v1
kind: Cluster
metadata:
  namespace: juwan
  name: order-db
spec:
  instances: 1
  imageName: ghcr.io/cloudnative-pg/postgresql:18.3-system-trixie
  primaryUpdateStrategy: unsupervised
  bootstrap:
    initdb:
      database: app
      owner: app
  storage:
    size: 1Gi
  resources:
    requests:
      cpu: 30m
      memory: 50Mi
    limits:
      memory: 200Mi

---
apiVersion: postgresql.cnpg.io/v1
kind: Cluster
metadata:
  namespace: juwan
  name: wallet-db
spec:
  instances: 1
  imageName: ghcr.io/cloudnative-pg/postgresql:18.3-system-trixie
  primaryUpdateStrategy: unsupervised
  bootstrap:
    initdb:
      database: app
      owner: app
  storage:
    size: 1Gi
  resources:
    requests:
      cpu: 30m
      memory: 50Mi
    limits:
      memory: 200Mi

---
apiVersion: postgresql.cnpg.io/v1
kind: Cluster
metadata:
  namespace: juwan
  name: community-db
spec:
  instances: 1
  imageName: ghcr.io/cloudnative-pg/postgresql:18.3-system-trixie
  primaryUpdateStrategy: unsupervised
  bootstrap:
    initdb:
      database: app
      owner: app
  storage:
    size: 1Gi
  resources:
    requests:
      cpu: 30m
      memory: 50Mi
    limits:
      memory: 200Mi

---
apiVersion: postgresql.cnpg.io/v1
kind: Cluster
metadata:
  namespace: juwan
  name: review-db
spec:
  instances: 1
  imageName: ghcr.io/cloudnative-pg/postgresql:18.3-system-trixie
  primaryUpdateStrategy: unsupervised
  bootstrap:
    initdb:
      database: app
      owner: app
  storage:
    size: 1Gi
  resources:
    requests:
      cpu: 30m
      memory: 50Mi
    limits:
      memory: 200Mi

---
apiVersion: postgresql.cnpg.io/v1
kind: Cluster
metadata:
  namespace: juwan
  name: dispute-db
spec:
  instances: 1
  imageName: ghcr.io/cloudnative-pg/postgresql:18.3-system-trixie
  primaryUpdateStrategy: unsupervised
  bootstrap:
    initdb:
      database: app
      owner: app
  storage:
    size: 1Gi
  resources:
    requests:
      cpu: 30m
      memory: 50Mi
    limits:
      memory: 200Mi

---
apiVersion: postgresql.cnpg.io/v1
kind: Cluster
metadata:
  namespace: juwan
  name: notification-db
spec:
  instances: 1
  imageName: ghcr.io/cloudnative-pg/postgresql:18.3-system-trixie
  primaryUpdateStrategy: unsupervised
  bootstrap:
    initdb:
      database: app
      owner: app
  storage:
    size: 1Gi
  resources:
    requests:
      cpu: 30m
      memory: 50Mi
    limits:
      memory: 200Mi

---
apiVersion: postgresql.cnpg.io/v1
kind: Cluster
metadata:
  namespace: juwan
  name: search-db
spec:
  instances: 1
  imageName: ghcr.io/cloudnative-pg/postgresql:18.3-system-trixie
  primaryUpdateStrategy: unsupervised
  bootstrap:
    initdb:
      database: app
      owner: app
  storage:
    size: 1Gi
  resources:
    requests:
      cpu: 30m
      memory: 50Mi
    limits:
      memory: 200Mi
